Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.internal
Class RenderableContentNodeWrapper

    java.lang.Object
      com.bea.p13n.content.internal.RenderableContentNodeWrapper

All Implemented Interfaces
  RenderableContent

    public class RenderableContentNodeWrapper

extends Object
implements RenderableContent

Constructor Summary
`RenderableContentNodeWrapper(Node node)`

Method Summary
`ID` | `getId()`
`String` | `getName()`
`String` | `getPath()`
`Property` | `getPrimaryProperty()`
`Property[]` | `getProperties()`
`Property` | `getProperty(String name)`
`InputStream` | `getPropertyBytes(ID propertyId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderableContentNodeWrapper

    public RenderableContentNodeWrapper(Node node)

Method Detail

### getProperty

    public Property getProperty(String name)
                         throws AuthorizationException

  Specified by:
    `getProperty` in interface `RenderableContent`
  Throws
    `AuthorizationException`

### getPrimaryProperty

    public Property getPrimaryProperty()
                                throws RepositoryException

  Specified by:
    `getPrimaryProperty` in interface `RenderableContent`
  Throws
    `RepositoryException`

### getProperties

    public Property[] getProperties()
                             throws AuthorizationException

  Specified by:
    `getProperties` in interface `RenderableContent`
  Throws
    `AuthorizationException`

### getPropertyBytes

    public InputStream getPropertyBytes(ID propertyId)
                                 throws AuthorizationException,
                                        NoSuchPropertyException

  Specified by:
    `getPropertyBytes` in interface `RenderableContent`
  Throws
    `AuthorizationException`
    `NoSuchPropertyException`

### getPath

    public String getPath()
                   throws AdContentException

  Specified by:
    `getPath` in interface `RenderableContent`
  Throws
    `AdContentException`

### getName

    public String getName()

  Specified by:
    `getName` in interface `RenderableContent`

### getId

    public ID getId()

  Specified by:
    `getId` in interface `RenderableContent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved